# Uses of Class
org.opensaml.saml.saml2.profile.context.EncryptionContext

Packages that use EncryptionContext
Package
Description
org.opensaml.saml.saml2.profile.context
Context classes supporting SAML 2 profiles.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of EncryptionContext in org.opensaml.saml.saml2.profile.context

Methods in org.opensaml.saml.saml2.profile.context that return EncryptionContext
Modifier and Type
Method
Description
`EncryptionContext`
EncryptionContext.`setAssertionEncryptionParameters(EncryptionParameters params)`
Set the encryption parameters to use for encryption of assertions.
`EncryptionContext`
EncryptionContext.`setAttributeEncryptionParameters(EncryptionParameters params)`
Set the encryption parameters to use for encryption of attributes.
`EncryptionContext`
EncryptionContext.`setIdentifierEncryptionParameters(EncryptionParameters params)`
Set the encryption parameters to use for encryption of identifiers.

## Uses of EncryptionContext in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type EncryptionContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,EncryptionContext>`
PopulateECPContext.`encryptionContextLookupStrategy`
Strategy used to locate the `EncryptionContext`.
`private Function<ProfileRequestContext,EncryptionContext>`
AbstractEncryptAction.`encryptionCtxLookupStrategy`
Strategy used to locate the `EncryptionContext`.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type EncryptionContext
Modifier and Type
Method
Description
`protected abstract EncryptionParameters`
AbstractEncryptAction.`getApplicableParameters(EncryptionContext ctx)`
Return the right set of parameters for the operation to be performed, or none if no encryption should occur.
`protected EncryptionParameters`
EncryptAssertions.`getApplicableParameters(EncryptionContext ctx)`
Return the right set of parameters for the operation to be performed, or none if no encryption should occur.
`protected EncryptionParameters`
EncryptAttributes.`getApplicableParameters(EncryptionContext ctx)`
Return the right set of parameters for the operation to be performed, or none if no encryption should occur.
`protected EncryptionParameters`
EncryptNameIDs.`getApplicableParameters(EncryptionContext ctx)`
Return the right set of parameters for the operation to be performed, or none if no encryption should occur.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type EncryptionContext
Modifier and Type
Method
Description
`void`
AbstractEncryptAction.`setEncryptionContextLookupStrategy(Function<ProfileRequestContext,EncryptionContext> strategy)`
Set the strategy used to locate the `EncryptionContext` associated with a given `ProfileRequestContext`.
`void`
PopulateECPContext.`setEncryptionContextLookupStrategy(Function<ProfileRequestContext,EncryptionContext> strategy)`
Set the strategy used to locate the `EncryptionContext`.